package cn.dankal.yunlaboratory.ui.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.Button;

import cn.dankal.yunlaboratory.R;

public class MainButton extends androidx.appcompat.widget.AppCompatButton {
    public MainButton(Context context) {
        this(context,null);
    }

    public MainButton(Context context, AttributeSet attrs) {
        this(context, attrs,0);
    }

    public MainButton(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);

        setBackgroundResource(R.drawable.selector_btn_back);
    }

    @Override
    public void setEnabled(boolean enabled) {
        super.setEnabled(enabled);
        if (enabled){
            setTextColor(getResources().getColor(R.color.white));
        }else {
            setTextColor(getResources().getColor(R.color.color99));
        }
    }
}
